#include <fstream>
#include <iomanip>
#include <cmath>
using namespace std;

double g(double A, double d, double t) {
  return A / (A + t - d);  
}

double finish(double A, double gmin, double d) {
  return d + A * (1 / gmin - 1);
}

double ff(double A, double gmin, double h, double d, double t) {
  if (t <= finish(A, gmin, d))
    return d - h + A * log(1 + (t - d) / A);
  else
    return ff(A, gmin, h, d, finish(A, gmin, d)) + gmin * (t - finish(A, gmin, d));
}

double deprecate_coeff(double A, double gmin, double h, double d, double t) {
  if (t <= d)
    return 1;
  else
    return 1 / (t - h) * ff(A, gmin, h, d, t);
}

int main(int argc, char** argv) {
  ifstream fin("input.txt");
  ofstream fout("output.txt");
  
  double A, gmin, t;  
  fin >> A >> gmin >> t;
  
  fout << fixed << setprecision(6) << deprecate_coeff(A, gmin, 0, 14, t);
  	
  return 0;
}
